## spline 1.0

=== Makefile ===
# Makefile for spline
#
# $Id: Makefile,v 1.3 1996/09/29 21:10:08 david Exp $
# $Log: Makefile,v $
# Revision 1.3  1996/09/29 21:10:08  david
# Removed debian.* dependencies for new debian source format.
#
# Revision 1.2  1996/03/16 15:40:42  david
# Install strips binary when installing.
#
# Revision 1.1  1996/02/11 22:11:44  david
# Initial revision

RM      = rm -f

CC      = gcc
CFLAGS  = -O2 -Wall
LIBS    = -lm
LDFLAGS = 

BIN     = spline
MAN     = $(BIN).1
SRCS    = utils.c
OBJS	= utils.o
HEADER  = utils.h

prefix  = /usr
BINDIR  = $(prefix)/bin
MANDIR  = $(prefix)/man/man1

all:	$(BIN)

$(BIN).c:
	co -kv $@

$(MAN):
	co -kk $(MAN)
	mv $(MAN) $(MAN).sed
	sed "s/\\\$$Date\\\$$/`date +'%B %d, %Y'`/g" $(MAN).sed > $(MAN)
	-$(RM) $(MAN).sed
	chmod 644 $(MAN)

.c.o:	$(HEADER) $(SRCS) $(OBJS)
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

$(BIN):	$(HEADER) $(SRCS) $(OBJS) $(BIN).c $(MAN)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS

distclean:	clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean
	-$(RM) cmds.* $(BIN).*

install: 	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(BINDIR)
	install -s -g root -o root -m 755 $(BIN) $(BINDIR)
	install -d -g root -o root -m 755 $(MANDIR)
	install    -g root -o root -m 644 $(MAN) $(MANDIR)

=== debian/changelog ===
spline (1.0-3) unstable; urgency=low

  * Converted to new source format

 -- David Frey <david@eos.lugs.ch>  Thu, 26 Sep 1996 00:22:53 +0159

Wed May  1 16:34:42 1996  David Frey  <david@eos.lugs.ch>

	* added Architecture field.

Sat Mar 16 15:52:21 1996  David Frey  <david@eos.lugs.ch>

	* Initial release for Debian, already ELF.

=== debian/control ===
Source: spline
Section: math
Priority: optional
Maintainer: David Frey <David.Frey@eos.lugs.ch>
Standards-Version: 2.0.1.0

Package: spline
Architecture: any
Depends: ${shlibs:Depends}
Description: Akima spline interpolation.
 spline(1) interpolates an Akima-spline trough a series of given points.
 The Akima-spline interpolation approximates a manually drawn curve better
 than the ordinary splines, but the second derivation is not continuous.

=== debian/rules ===
#!/usr/bin/make -f
#
# Last updated: $Date: 1996/08/14 21:21:16 $ by $Author: david $
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#  I hereby give you perpetual unlimited permission to copy, modify and 
#  relicense this file, provided that you do not remove my name from the 
#  file itself.  (I assert my moral right of paternity under the 
#  Copyright, Designs and Patents Act 1988.)
#  This file may have to be extensively modified

# The name of the package
p = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	$(checkdir)
	$(MAKE) $p
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN -d debian/tmp/usr/doc/$(p)
	$(MAKE) install prefix=debian/tmp/usr
	cp debian/copyright debian/tmp/usr/doc/$(p)/.
	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(p)/changelog.Debian
	dpkg-shlibdeps $(p)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary:		binary-indep binary-arch

define checkdir
	test -f $(p).c -a -f debian/rules
endef

# Below here is fairly generic really

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## spline 1.1-2

=== Makefile ===
# Makefile for aspline

RM      = rm -f

CC      = gcc
CFLAGS  = -g -O2 -Wall 
DEFS	= -DVERSION=\"1.1\"
LIBS    = -lm

BIN     = aspline
MAN     = $(BIN).1
SRCS    = utils.c
OBJS	= ${SRCS:.c=.o}

prefix  = /usr
BINDIR  = $(prefix)/bin
MANDIR  = $(prefix)/man/man1

all:	$(BIN)

.c.o:	$(SRCS)
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

$(BIN):	$(SRCS) $(OBJS) $(BIN).c
	$(CC) $(CFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS *.out

distclean: clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean

install: 	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(BINDIR) $(MANDIR)
	install -s -g root -o root -m 755 $(BIN) $(BINDIR)
	install    -g root -o root -m 644 $(MAN) $(MANDIR)

=== debian/changelog ===
spline (1.1-2) unstable; urgency=low

  * made aspline more spline-like: uses throughout `%g' in the
    printf-Formats instead of `% f', n is now the number of intervalls,
    i.e. min. n+1 points will be emitted.
  * man-page updated
  * simplified code
  * changed Maintainer address to official (and working) Debian-address.
  * fixed bugs found by lintian: old-FSF address and md5sums-paths
    starting with ".".

 -- David Frey <dfrey@debian.org>  Tue, 10 Feb 1998 23:08:40 +0100

spline (1.1-1) unstable; urgency=low

  * aspline recognizes now datasets (rows of data separated by empty
    lines) and doesn't try to treat them as one dataset as previous
    versions did.
  * fixed embarassing bug in the linear interpolation algorithm: aspline
    is now able to interpolate points on a straight line correctly.
  * made error message compliant with the GNU guidelines
    (progname:inputfile:line: ...)

 -- David Frey <david@eos.lugs.ch>  Mon, 19 Jan 1998 21:54:22 +0100

spline (1.0-7) unstable; urgency=low

  * deleted Replaces: and Conflicts: field out of control file
    (closes Bug#16419).

 -- David Frey <david@eos.lugs.ch>  Thu,  1 Jan 1998 22:08:18 +0100

spline (1.0-6) unstable; urgency=low

  * changed maintainer address back to <David.Frey@eos.lugs.ch>
  * updated to Standard 2.3.0.1
  * renamed md5sum to md5sums

 -- David Frey <david@eos.lugs.ch>  Sun, 21 Dec 1997 22:35:04 +0100

spline (1.0-5) unstable; urgency=low

  * renamed spline to aspline due to file name conflict with plotutils.

 -- David Frey <david@eos.lugs.ch>  Mon, 20 Oct 1997 18:09:37 +0200

spline (1.0-4) unstable; urgency=low

  * recompiled for libc6
  * changed maintainer address to dFrey@debian.org
  * added md5sums in debian/rules

 -- David Frey <david@eos.lugs.ch>  Fri, 12 Sep 1997 22:27:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: spline
 Section: math
 Priority: optional
-Maintainer: David Frey <David.Frey@eos.lugs.ch>
-Standards-Version: 2.0.1.0
+Maintainer: David Frey <dfrey@debian.org>
+Standards-Version: 2.3.0.1
 
 Package: spline
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#  I hereby give you perpetual unlimited permission to copy, modify and 
#  relicense this file, provided that you do not remove my name from the 
#  file itself.  (I assert my moral right of paternity under the 
#  Copyright, Designs and Patents Act 1988.)
#  This file may have to be extensively modified

# The name of the package
p = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	$(MAKE) && touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep: build

binary-arch: build
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/usr/doc/$(p)
	$(MAKE) install prefix=debian/tmp/usr
	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(p)/changelog.Debian
	cp debian/copyright debian/tmp/usr/doc/$(p)
	gzip -9f debian/tmp/usr/man/man1/aspline.1
	dpkg-shlibdeps aspline
	install -d debian/tmp/DEBIAN
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary:		binary-indep binary-arch

# Below here is fairly generic really

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## spline 1.1-4

=== debian/changelog ===
spline (1.1-4) unstable; urgency=low

  * moved sign-on-message into --version code.
  * fixed lintian error about /usr/doc/ symlink.

 -- David Frey <dfrey@debian.org>  Sat, 13 Nov 1999 20:38:11 +0100

spline (1.1-3) unstable; urgency=low

  * updates for FHS compliance: 
    - GPL is now in /usr/share/common-licenses,
    - package installs documentation into /usr/share/doc/spline,
    - moved manpage into /usr/share/man/man1,
    - changed priority to extra

 -- David Frey <david@eos.lugs.ch>  Sun, 12 Sep 1999 21:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: spline
 Section: math
-Priority: optional
+Priority: extra
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.0.1
 
 Package: spline
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#                                                         -*- Makefile -*-
 #
 # This rules file was adapted from the
 #   Sample debian.rules file - for GNU Hello (1.3).
@@ -10,7 +11,9 @@
 #  This file may have to be extensively modified
 
 # The name of the package
-p = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
+p	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
+doc	:= /usr/share/doc/$(p)
+man	:= /usr/share/man/man1/
 
 build:
 	$(MAKE) && touch build
@@ -24,17 +27,18 @@
 
 binary-arch: build
 	-rm -rf debian/tmp
-	install -d debian/tmp debian/tmp/usr/doc/$(p)
+	install -d debian/tmp debian/tmp/$(doc) debian/tmp/$(man)
 	$(MAKE) install prefix=debian/tmp/usr
-	cp debian/changelog debian/tmp/usr/doc/$(p)/changelog.Debian
-	gzip -9f debian/tmp/usr/doc/$(p)/changelog.Debian
-	cp debian/copyright debian/tmp/usr/doc/$(p)
-	gzip -9f debian/tmp/usr/man/man1/aspline.1
+	cp debian/changelog debian/tmp/$(doc)/changelog.Debian
+	gzip -9f debian/tmp/$(doc)/changelog.Debian
+	cp debian/copyright debian/tmp/$(doc)
+	gzip -9f debian/tmp/$(man)/aspline.1
 	dpkg-shlibdeps aspline
 	install -d debian/tmp/DEBIAN
 	cd debian/tmp &&\
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
+	cd debian && install -m 755 postinst prerm tmp/DEBIAN
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp

## spline 1.1-7

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 prefix  = /usr
 BINDIR  = $(prefix)/bin
-MANDIR  = $(prefix)/man/man1
+MANDIR  = $(prefix)/share/man/man1
 
 all:	$(BIN)

=== debian/changelog ===
spline (1.1-7) unstable; urgency=low

  * #include <float.h> to fix build failure (closes: #105152)

 -- David Frey <dfrey@debian.org>  Sat, 14 Jul 2001 23:36:19 +0200

spline (1.1-6) unstable; urgency=low

  * changed priority to optional

 -- David Frey <dfrey@debian.org>  Sat, 10 Feb 2001 01:14:51 +0100

spline (1.1-5) unstable; urgency=low

  * recompile for woody.

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 23:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: spline
 Section: math
-Priority: extra
+Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.5.5
 
 Package: spline
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,9 @@
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
 	cd debian && install -m 755 postinst prerm tmp/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
+	chmod -R g-ws,og=rX debian/tmp
 	dpkg --build debian/tmp ..
 
 binary:		binary-indep binary-arch

## spline 1.1-9

=== debian/changelog ===
spline (1.1-9) unstable; urgency=low

  * do not set link to /usr/doc in postinst (fixes lintian bug)
  * make -h a legal option,
  * fix compiler warnings in gcc-3.2 (multi-line strings)

 -- David Frey <dfrey@debian.org>  Sat, 15 Feb 2003 22:05:54 +0100

spline (1.1-8) unstable; urgency=low

  * removed lintian warnings, recompile for unstable.
  * changed precision from float to double, linted the code.

 -- David Frey <dfrey@debian.org>  Sat, 24 Aug 2002 23:57:02 +0200

=== debian/control ===
Source: spline
Section: math
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 3.5.8

Package: spline
Architecture: any
Depends: ${shlibs:Depends}
Description: Akima spline interpolation
 spline(1) interpolates an Akima-spline trough a series of given points.
 The Akima-spline interpolation approximates a manually drawn curve better
 than the ordinary splines, but the second derivation is not continuous.

=== debian/rules ===
#!/usr/bin/make -f
#                                                         -*- Makefile -*-
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#  I hereby give you perpetual unlimited permission to copy, modify and
#  relicense this file, provided that you do not remove my name from the
#  file itself.  (I assert my moral right of paternity under the
#  Copyright, Designs and Patents Act 1988.)
#  This file may have to be extensively modified

# The name of the package
p	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
bin	:= /usr/bin
doc	:= /usr/share/doc/$(p)
man	:= /usr/share/man/man1
tmp	:= debian/tmp

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded

build:
	$(MAKE) && touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ $(tmp) debian/*~ debian/files*

binary-indep: build

binary-arch: build
	-rm -rf $(tmp)
	install -d $(tmp) $(tmp)/$(bin) $(tmp)/$(doc) $(tmp)/$(man)
	$(MAKE) install prefix=$(tmp)/usr
	strip $(STRIPOPTIONS) $(tmp)/$(bin)/aspline
	cp debian/changelog $(tmp)/$(doc)/changelog.Debian
	gzip -9f $(tmp)/$(doc)/changelog.Debian
	cp debian/copyright $(tmp)/$(doc)
	gzip -9f $(tmp)/$(man)/aspline.1
	dpkg-shlibdeps aspline
	install -d $(tmp)/DEBIAN
	cd $(tmp) && \
	md5sum `find * -name DEBIAN -prune -o -type f -print` > DEBIAN/md5sums
	cd debian && install -m 755 prerm tmp/DEBIAN
	dpkg-gencontrol -isp
	chown -R root.root $(tmp)
	chmod -R g-ws,og=rX $(tmp)
	dpkg --build $(tmp) ..

binary:		binary-indep binary-arch

# Below here is fairly generic really

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## spline 1.1-10

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 RM      = rm -f
 
 CC      = gcc
-CFLAGS  = -g -O2 -Wall 
+CFLAGS  = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes\
+ -Wmissing-declarations -Wbad-function-cast -Wnested-externs\
+ -Wcast-qual -Wcast-align -Wshadow -Wwrite-strings -Wpointer-arith
 DEFS	= -DVERSION=\"1.1\"
 LIBS    = -lm
 
@@ -33,7 +35,7 @@
 realclean:	distclean
 	-rcsclean
 
-install: 	$(MAN) $(BIN)
+install:	$(MAN) $(BIN)
 	install -d -g root -o root -m 755 $(BINDIR) $(MANDIR)
 	install -s -g root -o root -m 755 $(BIN) $(BINDIR)
 	install    -g root -o root -m 644 $(MAN) $(MANDIR)

=== debian/changelog ===
spline (1.1-10) unstable; urgency=low

  * update Standard version.
  * update FSF address.

 -- David Frey <dfrey@debian.org>  Tue, 27 Sep 2005 00:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.8
+Standards-Version: 3.6.2
 
 Package: spline
 Architecture: any

## spline 1.1-11

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,23 @@
 RM      = rm -f
 
 CC      = gcc
-CFLAGS  = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes\
+CFLAGS  = -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+else
+CFLAGS += -O2
+endif
+CFLAGS += -Wall -Wstrict-prototypes -Wmissing-prototypes\
  -Wmissing-declarations -Wbad-function-cast -Wnested-externs\
- -Wcast-qual -Wcast-align -Wshadow -Wwrite-strings -Wpointer-arith
+ -Wcast-qual -Wcast-align -Wshadow -Wwrite-strings -Wpointer-arith\
+ -Wformat
 DEFS	= -DVERSION=\"1.1\"
 LIBS    = -lm
+
+INSTOPT=
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+INSTOPT += -s
+endif
 
 BIN     = aspline
 MAN     = $(BIN).1
@@ -37,5 +49,5 @@
 
 install:	$(MAN) $(BIN)
 	install -d -g root -o root -m 755 $(BINDIR) $(MANDIR)
-	install -s -g root -o root -m 755 $(BIN) $(BINDIR)
-	install    -g root -o root -m 644 $(MAN) $(MANDIR)
+	install $(INSTOPT) -g root -o root -m 755 $(BIN) $(BINDIR)
+	install -g root -o root -m 644 $(MAN) $(MANDIR)

=== debian/changelog ===
spline (1.1-11) unstable; urgency=low
  
  * handle DEB_BUILD_OPTIONS (closes: #438048)
  * fix format strings
  * update standard version

 -- David Frey <dfrey@debian.org>  Sun, 19 Aug 2007 23:44:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: spline
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,18 +17,13 @@
 man	:= /usr/share/man/man1
 tmp	:= debian/tmp
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -g
-endif
-STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
-
 build:
 	$(MAKE) && touch build
 
 clean:
 	-rm -f build
 	-$(MAKE) -i distclean
-	-rm -rf *~ $(tmp) debian/*~ debian/files*
+	-rm -rf *~ $(tmp) debian/*~ debian/files* debian/substvars
 
 binary-indep: build
 
@@ -36,7 +31,6 @@
 	-rm -rf $(tmp)
 	install -d $(tmp) $(tmp)/$(bin) $(tmp)/$(doc) $(tmp)/$(man)
 	$(MAKE) install prefix=$(tmp)/usr
-	strip $(STRIPOPTIONS) $(tmp)/$(bin)/aspline
 	cp debian/changelog $(tmp)/$(doc)/changelog.Debian
 	gzip -9f $(tmp)/$(doc)/changelog.Debian
 	cp debian/copyright $(tmp)/$(doc)
@@ -50,6 +44,7 @@
 	chown -R root.root $(tmp)
 	chmod -R g-ws,og=rX $(tmp)
 	dpkg --build $(tmp) ..
+	chmod a+r debian/files* debian/substvars
 
 binary:		binary-indep binary-arch

## spline 1.1-13

=== debian/changelog ===
spline (1.1-13) unstable; urgency=low

  * Upload with correct e-Mail address.

 -- David Frey <dfrey@debian.org>  Sun, 03 May 2009 23:23:37 +0200

spline (1.1-12) unstable; urgency=low

  * update to standard version 3.8.1.0
  * fixed signed/unsigned char *-warning
  * orphaned package

 -- David Frey <david@eos.eos.lugs.ch>  Sun, 26 Apr 2009 23:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: spline
 Section: math
 Priority: optional
-Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.7.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.8.1.0
 
 Package: spline
 Architecture: any

## spline 1.1-14

=== debian/changelog ===
spline (1.1-14) unstable; urgency=low

  * QA upload.
  * Make clean not ignore errors.
  * Remove .svn dirs.
  * Rename local getline func to local_getline. (Closes: #552884).
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 29 Oct 2009 21:33:09 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.1.0
+Standards-Version: 3.8.3
 
 Package: spline
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 clean:
 	-rm -f build
-	-$(MAKE) -i distclean
+	$(MAKE) distclean
 	-rm -rf *~ $(tmp) debian/*~ debian/files* debian/substvars
 
 binary-indep: build

## spline 1.2

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,12 @@
 CFLAGS += -Wall -Wstrict-prototypes -Wmissing-prototypes\
  -Wmissing-declarations -Wbad-function-cast -Wnested-externs\
  -Wcast-qual -Wcast-align -Wshadow -Wwrite-strings -Wpointer-arith\
- -Wformat
-DEFS	= -DVERSION=\"1.1\"
+ -Wformat\
+ -Wfloat-equal\
+ -mfpmath=sse
+# -mfpmath=387
+#DEFS	= -D_GNU_SOURCE -DHAVE_GETLINE -DOLD_OUTPUT -DVERSION=\"1.2\"
+DEFS	= -D_GNU_SOURCE -DHAVE_GETLINE -DVERSION=\"1.2\"
 LIBS    = -lm
 
 INSTOPT=

=== debian/changelog ===
spline (1.2-6) unstable; urgency=medium

  * Update Standards-Version to 4.7.2 (no changes required).
  * Update lintian-overrides format.

 -- Stuart Prescott <stuart@debian.org>  Thu, 27 Mar 2025 23:49:15 +1100

spline (1.2-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #993873)

  [ Stuart Prescott ]
  * Use lintian-brush to update the packaging:
    - move from debhelper 11 to 13
    - update Standards-Version to 4.6.0 (no changes needed)
  * Set Rules-Requires-Root: no.
    - add patch for Makefile to support installing as non-root
  * Remove Homepage field and debian/watch file as homepage is dead.
  * Silence lintian complaints that are unfixable for a package with a dead
    upstream.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 13:50:12 +1100

spline (1.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Stuart Prescott ]
  * Use debhelper-compat (= 11).
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Jan 2019 23:44:20 +1100

spline (1.2-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.3 (no changes required).
  * Update copyright format URL.
  * Fix licence grant to correctly show GPL-2+.
  * Bump to debhelper compat 11.
  * Push packging repository to salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Tue, 27 Feb 2018 23:59:33 +1100

spline (1.2-2) unstable; urgency=medium

  * Update maintainer information.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Enable more hardening options on the build.
  * Add DEP-8 autopkgtest.

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Aug 2016 20:50:23 +1000

spline (1.2-1) unstable; urgency=low

  * New upstream release, fixing bugs in existing package:
      - crash with long comment lines.
      - duplication of output lines due to unwanted compiler optimisation
        (Closes: #578004).
    (thanks to David Frey for his assistance in tracking down these bugs)
  * New maintainer, thanks to David Frey for his previous work
    (Closes: #527149).
  * Change from native to non-native package.
  * Patch Makefile to not have arch-specific directives.
  * Add a rudimentary test suite so that a reoccurence of #578004 on any arch
    will cause a FTBFS.
  * Add Homepage field.
  * Update package description to include citation to algorithm.
  * Update debian/copyright.
  * Change packaging to debhelper + 3.0 (quilt).
  * Drop unneeded prerm script.
  * Bump Standards Version to 3.8.4. (No changes needed).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 27 Apr 2010 23:52:22 +0100

=== debian/control ===
Source: spline
Section: math
Priority: optional
Maintainer: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/spline.git
Vcs-Browser: https://salsa.debian.org/debian/spline
Rules-Requires-Root: no

Package: spline
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Akima spline interpolation
 aspline(1) interpolates an Akima-spline through a series of given points.
 The Akima-spline interpolation approximates a manually drawn curve better
 than the ordinary splines, but the second derivative is not continuous.
 .
 The Akima-spline algorithm is described in "A New Method of Interpolation and
 Smooth Curve Fitting Based on Local Procedures", H. Akima, J. Assoc. Comput.
 Mach., 17(4), 1970, pp. 589-602. doi:10.1145/321607.321609

=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options for the binaries
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	DEB_BUILD_OPTIONS="nostrip ${DEB_BUILD_OPTIONS}" dh_auto_install

override_dh_auto_test:
	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export ASPLINE="$(CURDIR)/aspline" ; cd debian/tests ; ./runtests
endif

=== debian/tests/control ===
Tests: spline
Depends: spline
